Ubuntu 如何解除套件互相依賴的情況

2020-03-31 Ubuntu

最近在某一台設備上要升級套件時遇到 php 套件互相依賴的情況

  • php-common 相依 php-amqp
  • php-amqp 相依 php-common
  • php7.2 相依 php-common

由於遇上必須要升級的情況,互相依賴的情況導致無法升級,apt 的提示是建議使用 apt install -f 先升級套件,但不管是升 php-common 或是 php-amqp 都被彼此相依性卡住。

很少遇到使用 apt 套件裝到自己相依性變 Deadlock 的情況發生,以前比較多是自己用 deb / rpm 裝才會出現這種狀況,遇到突然不知道怎麼解決 …

基本上這種套件相依性 Loop 就必須先把其中一個 Package 給強制解鎖才有效,在 Ubuntu 上預設 dpkg 有支援強制移除套件的指令:

強制移除掉 php-common 和 php-amqp 後,再重新安裝回來後就正常了 …

發佈留言

發佈留言必須填寫的電子郵件地址不會公開。 必填欄位標示為 *

彙整

分類

展開全部 | 收合全部

License

訂閱 Mr. 沙先生 的文章

輸入你的 email 用於訂閱

%d 位部落客按了讚: